Loading...
Searching...
No Matches
url_search_params.h File Reference

Declaration for the URL Search Params. More...

`#include <optional>`
`#include <string>`
`#include <string_view>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | ada::url_search_params
| Class for parsing and manipulating URL query strings. More...
struct | ada::url_search_params_iter< T, Type >
| JavaScript-style iterator for url_search_params. More...

## Namespaces

namespace | ada

## Typedefs

typedef std::pair< std::string_view, std::string_view > | ada::key_value_view_pair
using | ada::url_search_params_keys_iter
using | ada::url_search_params_values_iter
using | ada::url_search_params_entries_iter

## Enumerations

enum class | ada::url_search_params_iter_type { ada::KEYS , ada::VALUES , ada::ENTRIES }
| Iterator types for url_search_params iteration. More...

## Detailed Description

Declaration for the URL Search Params.

URL query string parameter manipulation.

This file provides the url_search_params class for parsing, manipulating, and serializing URL query strings. It implements the URLSearchParams API from the WHATWG URL Standard.

See also
  https://url.spec.whatwg.org/#interface-urlsearchparams

Definition in file url_search_params.h.